
--Scene Manager is deployed
sceneManager = SceneManager.new({
	["scene1"] = Scene1, -- Main Scene
	["scene2"] = Scene2, -- 2 Scene
	["scene3"] = Scene3, -- 3 Scene
	
	
})

sceneManager:addEventListener("transitionBegin", function() print("manager - transition begin") end)
sceneManager:addEventListener("transitionEnd", function() print("manager - transition end") end)

--Scene Manager is added to stage
stage:addChild(sceneManager)

local transitions = {
	SceneManager.crossFade,
}

--Scene array
local scenes = {"scene1", "scene2", "scene3"
}

local currentScene = 1
local function nextScene()
	local next = scenes[currentScene]

	currentScene = currentScene + 1
	if currentScene > #scenes then
		currentScene = 1
	end
	
	return next
end


sceneManager:changeScene(nextScene())